package com.tptj.demo.hg.web.resource;

import com.fr.decision.fun.impl.AbstractWebResourceProvider;
import com.fr.decision.web.LoginComponent;
import com.fr.intelli.record.Focus;
import com.fr.record.analyzer.EnableMetrics;
import com.fr.web.struct.Atom;
import com.fr.web.struct.Component;
import com.fr.web.struct.browser.RequestClient;
import com.fr.web.struct.category.ParserType;
import com.fr.web.struct.category.ScriptPath;
import com.fr.web.struct.category.StylePath;


/**
 * @author 秃破天际
 * @version 10.0
 * Created by 秃破天际 on 2021-03-16
 **/
@EnableMetrics
public class Demo extends AbstractWebResourceProvider {

    @Override
    public Atom attach() {
        return LoginComponent.KEY;
    }

    @Focus(id = "com.tptj.demo.hg.web.resource.simple.v10",text = "WEB组件资源[S]")
    public Atom[] clients() {
        return new Atom[]{
           new Component() {
                @Override
                public ScriptPath script(RequestClient client) {
                    return ScriptPath.build( "com/tptj/demo/hg/web/resource/dynamic.js", ParserType.DYNAMIC );
                }
                @Override
                public StylePath style(RequestClient client) {
                    return StylePath.build("com/tptj/demo/hg/web/resource/dynamic.css",ParserType.DYNAMIC);
                }
            }
        };

    }



}
